function OnWarpEnter() 
	SetMarker("cs\\Warp_0027.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0026.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0029.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0001.wp" , 0 , 0) 
	SetMarker("CLAY",2,0)
	Music_Change = false

----------------------------------------------------------------------------- puits
	-- corde en bon état
	AnimationSetToStart("cna1",true)
	AnimationSetToStart("coa1",false)
----------------------------------------------------------------------------- 

	if balcony_open then
		AnimationSetToEnd("cxa1")
		AnimationSetToEnd("cya1")
	else
		AnimationSetToStart("cya1")
		AnimationSetToStart("cxa1")
	end

--DAY3
	if ETAT_DAY == "D3" then 
		if GIVE_KEY_MOLD then
			KEY_IMPRESSION_READY = true
		end
	end
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		if ETAT_DAY == "D5" then
			PlayMusic("Sounds/Musiques/M_MortConstance2.ogg")
		else
			PlayMusic("Sounds/Musiques/M_DepartChateau.ogg")
		end
	end
end

function OnWarpObjectHit(objectName)
	if objectName == "3D\\cs\\Warp_0001.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0027.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0026.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0029.wp" then 
		if ETAT_DAY == "D1" then
			DrawText("Ma1125","Ma1125.ogg",0) -- Demain. Pour l'instant j'ai mieux à faire.
		elseif ETAT_DAY == "D3" and not GIVE_BREAD_TO_NOSTRADAMUS then
			DrawText("Ma3509","Ma3509.ogg",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		elseif ETAT_DAY == "D4" and not CAN_ENTER_QUEEN_ROOM_D4 then
			DrawText("Ma3509","Ma3509.ogg",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		elseif ETAT_DAY == "D5" and not DeathTrickRevealed then
			DrawText("Ma3509","Ma3509.ogg",0) -- J'ai des choses à voir avec mon père avant d'y aller.
		else
			Music_Change = true
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\CLAY" then
		if ObjectCount("A_argile") < 3 then
			AddToBag("A_argile")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end
end
